tigase.jaxmpp.core.client.xmpp.modules.muc

## Class MucModule.OccupantComesHandler.OccupantComesEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<MucModule.OccupantComesHandler>
    - - tigase.jaxmpp.core.client.xmpp.modules.muc.MucModule.OccupantComesHandler.OccupantComesEvent

- Enclosing interface:
    MucModule.OccupantComesHandler

      public static class MucModule.OccupantComesHandler.OccupantComesEvent
      extends JaxmppEvent<MucModule.OccupantComesHandler>

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OccupantComesEvent(SessionObject sessionObject, Presence element, Room room, Occupant occupant, String nickname, XMucUserElement xUser)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(MucModule.OccupantComesHandler handler)` Invokes handlers method.
    `String` | `getNickname()`
    `Occupant` | `getOccupant()`
    `Presence` | `getPresence()`
    `Room` | `getRoom()`
    `XMucUserElement` | `getxUserElement()`
    `void` | `setNickname(String nickname)`
    `void` | `setOccupant(Occupant occupant)`
    `void` | `setPresence(Presence presence)`
    `void` | `setRoom(Room room)`
    `void` | `setxUserElement(XMucUserElement xUserElement)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OccupantComesEvent

          public OccupantComesEvent(SessionObject sessionObject,
                                    Presence element,
                                    Room room,
                                    Occupant occupant,
                                    String nickname,
                                    XMucUserElement xUser)

  - ### Method Detail

    - #### dispatch

          protected void dispatch(MucModule.OccupantComesHandler handler)

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<MucModule.OccupantComesHandler>`
      Parameters:
        `handler` - handler

    - #### getNickname

          public String getNickname()

    - #### getOccupant

          public Occupant getOccupant()

    - #### getPresence

          public Presence getPresence()

    - #### getRoom

          public Room getRoom()

    - #### getxUserElement

          public XMucUserElement getxUserElement()

    - #### setNickname

          public void setNickname(String nickname)

    - #### setOccupant

          public void setOccupant(Occupant occupant)

    - #### setPresence

          public void setPresence(Presence presence)

    - #### setRoom

          public void setRoom(Room room)

    - #### setxUserElement

          public void setxUserElement(XMucUserElement xUserElement)

Copyright © 2006–2017 Tigase. All rights reserved.